%global pypi_name python-ly

Name:           %{pypi_name}
Version:        0.9.7
Release:        %mkrel 1
Group:          Development/Python
Summary:        Tool and library for manipulating LilyPond files
License:        GPLv2+
URL:            https://github.com/wbsoft/python-ly
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.xz
BuildArch:      noarch

%description
This package provides a Python library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%package -n     python3-ly
Summary:        Tool and library for manipulating LilyPond files
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-ly}

%description -n python3-ly
This package provides a Python 3 library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-ly
%{_bindir}/ly
%{_bindir}/ly-server
%{python3_sitelib}/*


%changelog
* Mon Aug 22 2022 TerryN <terryn94 at gmail.com> 0.9.7-1pclos2022
- update and rebuild for python 3.10

* Mon Dec 30 2019 tex - 0.9.5-1pclos2019
- import
